package com.jianshui.system.service;

import java.util.List;

import com.jianshui.common.core.domain.entity.Companyservice;

/**
 * 销方信息Service接口
 *
 * @author jianshui
 * @date 2021-12-21
 */
public interface ICompanyserviceService {
    /**
     * 查询销方信息
     *
     * @param companyid 销方信息主键
     * @return 销方信息
     */
    public Companyservice selectCompanyserviceByCompanyid(Long companyid);

    public Companyservice selectCompanyserviceByIdentity(String Identity);

    public Companyservice selectCompanyserviceByTaxcode(String taxcode);

    /**
     * 查询销方信息列表
     *
     * @param companyservice 销方信息
     * @return 销方信息集合
     */
    public List<Companyservice> selectCompanyserviceList(Companyservice companyservice);

    /**
     * 新增销方信息
     *
     * @param companyservice 销方信息
     * @return 结果
     */
    public int insertCompanyservice(Companyservice companyservice);

    /**
     * 修改销方信息
     *
     * @param companyservice 销方信息
     * @return 结果
     */
    public int updateCompanyservice(Companyservice companyservice);

    /**
     * 批量删除销方信息
     *
     * @param companyids 需要删除的销方信息主键集合
     * @return 结果
     */
    public int deleteCompanyserviceByCompanyids(Long[] companyids);

    /**
     * 删除销方信息信息
     *
     * @param companyid 销方信息主键
     * @return 结果
     */
    public int deleteCompanyserviceByCompanyid(Long companyid);


    /**
     * 刷新登录用户的companyservice缓存
     *
     * @return
     */
    public void refreshLoginUserCompanyservice();
}
